<View::Base::SourceRecord
  class="use-highlights"
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @isEditor={{@isEditor}}
  as |record|
>
  <div class="page-col-article-date" ...attributes>
    <View::Base::SourceField
      @path={{@path}}
      @record={{record}}
      @value={{@value}}
      @for="date"
      as |fieldName|
    >
      <TextWithOptions
        data-path={{concat @path ".data.label"}}
        data-name={{@value.name}}
        @options={{@value.data.label}}
        class="label"
        @tag="span"
        @deviceSize={{@deviceSize}}
      >{{!
      }}{{t (concat "date." fieldName)}}{{!
    }}</TextWithOptions>

      <TextWithOptions
        data-path={{concat @path ".data.date"}}
        data-name={{@value.name}}
        @options={{@value.data.date}}
        class="date"
        @tag="span"
        @deviceSize={{@deviceSize}}
      >{{!
      }}{{format-date
          (get record fieldName)
          day="numeric"
          month="long"
          year="numeric"
        }}{{!
    }}</TextWithOptions>
    </View::Base::SourceField>
  </div>
</View::Base::SourceRecord>